<?php

class Student
{
	// eigenschappen
	private $logged_in;
	private $username;
	private $password;
	private $firstname;
	private $lastname;

	// constructor, zet de standaard waarden van de eigenschappen
	public function __construct()
	{
		$this->logged_in = false;
	}


	// getters
	
	public function getFirstname ()
	{
		return $this->firstname;
	}

	public function getLastname()
	{
		return $this->lastname;
	}
	
	public function getFullname()
	{
		return $this->firstname . " " . $this->lastname;
	}


	// login gerelateerde methodes

	public function doLogin($_username, $_password)
	{
		// we valideren hier de gegevens
		if ($_username == "admin" && $_password == "ok")
		{
			// we bewaren de login gegevens
			$this->username = $_username;
			$this->password = $_password;
			
			// standaard naam voor de student
			$this->firstname = "Martijn";
			$this->lastname = "Swart";

			// we zetten de waarde logged_in op true
			$this->logged_in = true;
			
			// we bewaren ook in de sessie dat de gebruiker ingelogd is
			$_SESSION['logged_in'] = true;
		}
		else
		{
			// foute gegevens, dus blijven we uitgelogd
			$this->doLogout();
		}

		return $this->logged_in;
	}
	
	public function doLogout()
	{
		$this->logged_in = false;
		$_SESSION['logged_in'] = $this->logged_in;
	}
	
	public function isLoggedIn()
	{
		if (!isset($_SESSION['logged_in']))
		{
			return false;
		}
	
		return $_SESSION['logged_in'];
	}

}

?>