<?php

	// toon elke fout
	//error_reporting(E_ALL);
	
	// begin de sessie
	session_start();
	
	// echo $_POST['test'];

	// include de class
	include "class.student.php";
	
	// creeer een nieuwe instantie van het studenten object
	$user = new Student();

	// was er een post vanuit het formulier
	if ($_SERVER['REQUEST_METHOD'] == "POST")
	{
		switch ($_GET['action'])
		{
			case "logout" :
			{
				// login met de waarden uit het formulier
				$user->doLogout();
				break;
			}
			case "login" :
			{
				// login met de waarden uit het formulier
				$user->doLogin($_POST['username'], $_POST['password']);
				break;
			}
		}
	}

?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="en" lang="en">
	<head>
		<title>PHP Login Form</title>
		<meta http-equiv="Content-Type" content="text/html; charset=UTF-8" />
	</head>
	<body>

		<?php if ($user->isLoggedIn()) : ?>
		
			<div>
				Welkom <?php echo $user->getFullName(); ?>, je bent ingelogd.
				
				<form action="login_form.php?action=logout" method="POST">
					<input type="submit" value="Logout"/>
				</form>
			</div>
			
		<?php else : ?>
			
			Je bent uitgelogd.
			<form action="login_form.php?action=login" method="POST">
				
				<label>
					Gebruikersnaam:
					<input type="text" name="username" />
				</label>
				
				<br />
				
				<label>
					Wachtwoord:
					<input type="text" name="password" />
				</label>
				
				<br />
				
				<input type="submit" value="Login"/>
				
			</form>
		
		<?php endif; ?>

	</body>
</html>